#!/usr/bin/env node

import buildCommanderProgram from './lib/buildCommanderProgram.js';

const currentNodeVersion = process.versions.node;
const semver = currentNodeVersion.split('.');
const major = semver[0];

if (major < 14) {
  console.error(
    'You are running Node ' +
      currentNodeVersion +
      '.\n' +
      '@kickstep/bootstrap-tools requires Node 14 or higher. \n' +
      'Please update your version of Node.'
  );
  process.exit(1);
}

let program = await buildCommanderProgram();
program.parse();    // Same as program.parse(process.argv);
